package com.hfkj.sysenum;

import java.util.Objects;

/**
 *  商户费率申请状态
 * @author hurui
 */
public enum MerRateApplyStatusEnum {
    status0(0, "删除"),
    status1(1, "待提交"),
    status2(2, "审核中"),
    status3(3, "通过"),
    status4(4, "驳回"),
    status5(5, "渠道审核中"),
    status6(6, "渠道驳回"),
            ;

    private Integer number;

    private String name;

    MerRateApplyStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MerRateApplyStatusEnum getDataByNumber(Integer number) {
        for (MerRateApplyStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }


    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
